{% extends 'base.html.twig' %}

{% block title %}Gestion d'administration{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1 class="text-center mx-2"> {{ "admin.title" | trans }}</h1>

    <style>
        table,
        th,tr {
            border: 2px solid #333;
        }

        thead,
        tfoot {
            background-color: #333;
            color: #fff;
        }
    </style>

    <div class="row justify-content-center" >
        <table class="text-center">
            <thead>
            <tr>
                <th colspan="4" class="text-center ">Gestion Administration</th>
            </tr>
            </thead>

            <tbody>
            {% for user in users %}
            <tr>
                <td>{{ user.nom | upper }} {{ user.prenom }} :</td>
                <td>
                    {% if "ROLE_ADMIN" in user.roles %}
                        <a href="/enleverroles/{{ user.id }}/ROLE_ADMIN" class="btn turquoise m-1">Admin</a>
                    {% else %}
                        <a href="/mettreroles/{{ user.id }}/ROLE_ADMIN" class="btn btn-secondary m-1">Admin</a>
                    {% endif %}
                </td>
                <td>
                    {% if "ROLE_SONDEUR" in user.roles %}
                        <a href="/enleverroles/{{ user.id }}/ROLE_SONDEUR" class="btn turquoise m-1">Sondeur</a>
                    {% else %}
                        <a href="/mettreroles/{{ user.id }}/ROLE_SONDEUR" class="btn btn-secondary m-1">Sondeur</a>
                    {% endif %}
                </td>
                <td>
                    {% if "ROLE_PARTICIPANT" in user.roles %}
                        <a href="/enleverroles/{{ user.id }}/ROLE_PARTICIPANT" class="btn turquoise m-1">Participant</a>
                    {% else %}
                        <a href="/mettreroles/{{ user.id }}/ROLE_PARTICIPANT" class="btn btn-secondary m-1">Participant</a>
                    {% endif %}
                </td>
            </tr>
            {% endfor%}
            </tbody>
        </table>
    </div>
    <div class="container">
        <div class="row">
            <div class="d-flex align-items-center pagination justify-content-center">
                <nav aria-label="Page navigation example">
                    <ul class="pagination">
                        {{ knp_pagination_render(users) }}
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>
{% endblock %}
